// Jest Snapshot v1, https://goo.gl/fbAQLP

exports[`constructFactTree constructs a fact tree from facts 1`] = `
{
  "": {
    "children": {
      "paths": {
        "children": {
          "/pet/{petId}/uploadImage": {
            "children": {
              "post": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "path": "petId",
                              },
                              "method": "post",
                              "path": "/pet/{petId}/uploadImage",
                            },
                            "conceptualPath": [
                              "operations",
                              "/pet/{}/uploadImage",
                              "post",
                              "parameters",
                              "path",
                              "petId",
                            ],
                            "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/parameters/0",
                            "kind": "path-parameter",
                          },
                          "value": {
                            "description": "ID of pet to update",
                            "in": "path",
                            "name": "petId",
                            "required": true,
                            "schema": {
                              "format": "int64",
                              "type": "integer",
                            },
                          },
                        },
                      },
                      "1": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "cookie": "debug",
                              },
                              "method": "post",
                              "path": "/pet/{petId}/uploadImage",
                            },
                            "conceptualPath": [
                              "operations",
                              "/pet/{}/uploadImage",
                              "post",
                              "parameters",
                              "cookie",
                              "debug",
                            ],
                            "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/parameters/1",
                            "kind": "cookie-parameter",
                          },
                          "value": {
                            "description": "A debug token",
                            "in": "cookie",
                            "name": "debug",
                            "schema": {
                              "type": "integer",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "requestBody": {
                    "children": {
                      "content": {
                        "children": {
                          "multipart/form-data": {
                            "children": {},
                            "fact": {
                              "location": {
                                "conceptualLocation": {
                                  "inRequest": {
                                    "body": {
                                      "contentType": "multipart/form-data",
                                    },
                                  },
                                  "method": "post",
                                  "path": "/pet/{petId}/uploadImage",
                                },
                                "conceptualPath": [
                                  "operations",
                                  "/pet/{}/uploadImage",
                                  "post",
                                  "multipart/form-data",
                                ],
                                "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/requestBody/content/multipart~1form-data",
                                "kind": "body",
                              },
                              "value": {
                                "contentType": "multipart/form-data",
                                "flatSchema": {},
                              },
                            },
                          },
                        },
                        "fact": null,
                      },
                    },
                    "fact": {
                      "location": {
                        "conceptualLocation": {
                          "inRequest": {},
                          "method": "post",
                          "path": "/pet/{petId}/uploadImage",
                        },
                        "conceptualPath": [
                          "operations",
                          "/pet/{}/uploadImage",
                          "post",
                          "requestBody",
                        ],
                        "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/requestBody",
                        "kind": "request",
                      },
                      "value": {},
                    },
                  },
                  "responses": {
                    "children": {
                      "200": {
                        "children": {
                          "content": {
                            "children": {
                              "application/json": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "code": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "code",
                                                  ],
                                                  "method": "post",
                                                  "path": "/pet/{petId}/uploadImage",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/pet/{}/uploadImage",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "code",
                                                ],
                                                "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/responses/200/content/application~1json/schema/properties/code",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "code",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "message": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "message",
                                                  ],
                                                  "method": "post",
                                                  "path": "/pet/{petId}/uploadImage",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/pet/{}/uploadImage",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "message",
                                                ],
                                                "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/responses/200/content/application~1json/schema/properties/message",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "message",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "type": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "type",
                                                  ],
                                                  "method": "post",
                                                  "path": "/pet/{petId}/uploadImage",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/pet/{}/uploadImage",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "type",
                                                ],
                                                "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/responses/200/content/application~1json/schema/properties/type",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "type",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/json",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "post",
                                      "path": "/pet/{petId}/uploadImage",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/pet/{}/uploadImage",
                                      "post",
                                      "responses",
                                      "200",
                                      "application/json",
                                    ],
                                    "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/responses/200/content/application~1json",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/json",
                                    "flatSchema": {
                                      "type": "object",
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                        },
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "200",
                              },
                              "method": "post",
                              "path": "/pet/{petId}/uploadImage",
                            },
                            "conceptualPath": [
                              "operations",
                              "/pet/{}/uploadImage",
                              "post",
                              "responses",
                              "200",
                            ],
                            "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post/responses/200",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "200",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "post",
                      "path": "/pet/{petId}/uploadImage",
                    },
                    "conceptualPath": [
                      "operations",
                      "/pet/{}/uploadImage",
                      "post",
                    ],
                    "jsonPath": "/paths/~1pet~1{petId}~1uploadImage/post",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "post",
                    "operationId": "uploadFile",
                    "pathPattern": "/pet/{petId}/uploadImage",
                    "security": [
                      {
                        "petstore_auth": [
                          "write:pets",
                          "read:pets",
                        ],
                      },
                    ],
                    "summary": "uploads an image",
                    "tags": [
                      "pet",
                    ],
                  },
                },
              },
            },
            "fact": null,
          },
          "/store/inventory": {
            "children": {
              "get": {
                "children": {
                  "responses": {
                    "children": {
                      "200": {
                        "children": {
                          "content": {
                            "children": {
                              "application/json": {
                                "children": {},
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/json",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/store/inventory",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/store/inventory",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/json",
                                    ],
                                    "jsonPath": "/paths/~1store~1inventory/get/responses/200/content/application~1json",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/json",
                                    "flatSchema": {
                                      "additionalProperties": {
                                        "format": "int32",
                                        "type": "integer",
                                      },
                                      "type": "object",
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                        },
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "200",
                              },
                              "method": "get",
                              "path": "/store/inventory",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/inventory",
                              "get",
                              "responses",
                              "200",
                            ],
                            "jsonPath": "/paths/~1store~1inventory/get/responses/200",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "200",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "get",
                      "path": "/store/inventory",
                    },
                    "conceptualPath": [
                      "operations",
                      "/store/inventory",
                      "get",
                    ],
                    "jsonPath": "/paths/~1store~1inventory/get",
                    "kind": "operation",
                  },
                  "value": {
                    "description": "Returns a map of status codes to quantities",
                    "method": "get",
                    "operationId": "getInventory",
                    "pathPattern": "/store/inventory",
                    "security": [
                      {
                        "api_key": [],
                      },
                    ],
                    "summary": "Returns pet inventories by status",
                    "tags": [
                      "store",
                    ],
                  },
                },
              },
            },
            "fact": null,
          },
          "/store/order": {
            "children": {
              "post": {
                "children": {
                  "requestBody": {
                    "children": {
                      "content": {
                        "children": {
                          "*/*": {
                            "children": {
                              "schema": {
                                "children": {
                                  "properties": {
                                    "children": {
                                      "complete": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "complete",
                                              ],
                                              "method": "post",
                                              "path": "/store/order",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/store/order",
                                              "post",
                                              "*/*",
                                              "complete",
                                            ],
                                            "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*/schema/properties/complete",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "default": false,
                                              "type": "boolean",
                                            },
                                            "key": "complete",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "id": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "id",
                                              ],
                                              "method": "post",
                                              "path": "/store/order",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/store/order",
                                              "post",
                                              "*/*",
                                              "id",
                                            ],
                                            "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*/schema/properties/id",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "format": "int64",
                                              "type": "integer",
                                            },
                                            "key": "id",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "petId": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "petId",
                                              ],
                                              "method": "post",
                                              "path": "/store/order",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/store/order",
                                              "post",
                                              "*/*",
                                              "petId",
                                            ],
                                            "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*/schema/properties/petId",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "format": "int64",
                                              "type": "integer",
                                            },
                                            "key": "petId",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "quantity": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "quantity",
                                              ],
                                              "method": "post",
                                              "path": "/store/order",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/store/order",
                                              "post",
                                              "*/*",
                                              "quantity",
                                            ],
                                            "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*/schema/properties/quantity",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "format": "int32",
                                              "type": "integer",
                                            },
                                            "key": "quantity",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "shipDate": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "shipDate",
                                              ],
                                              "method": "post",
                                              "path": "/store/order",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/store/order",
                                              "post",
                                              "*/*",
                                              "shipDate",
                                            ],
                                            "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*/schema/properties/shipDate",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "format": "date-time",
                                              "type": "string",
                                            },
                                            "key": "shipDate",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "status": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "status",
                                              ],
                                              "method": "post",
                                              "path": "/store/order",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/store/order",
                                              "post",
                                              "*/*",
                                              "status",
                                            ],
                                            "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*/schema/properties/status",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "description": "Order Status",
                                              "enum": [
                                                "placed",
                                                "approved",
                                                "delivered",
                                              ],
                                              "type": "string",
                                            },
                                            "key": "status",
                                            "required": false,
                                          },
                                        },
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": null,
                              },
                            },
                            "fact": {
                              "location": {
                                "conceptualLocation": {
                                  "inRequest": {
                                    "body": {
                                      "contentType": "*/*",
                                    },
                                  },
                                  "method": "post",
                                  "path": "/store/order",
                                },
                                "conceptualPath": [
                                  "operations",
                                  "/store/order",
                                  "post",
                                  "*/*",
                                ],
                                "jsonPath": "/paths/~1store~1order/post/requestBody/content/*~1*",
                                "kind": "body",
                              },
                              "value": {
                                "contentType": "*/*",
                                "flatSchema": {
                                  "type": "object",
                                  "xml": {
                                    "name": "Order",
                                  },
                                },
                              },
                            },
                          },
                        },
                        "fact": null,
                      },
                    },
                    "fact": {
                      "location": {
                        "conceptualLocation": {
                          "inRequest": {},
                          "method": "post",
                          "path": "/store/order",
                        },
                        "conceptualPath": [
                          "operations",
                          "/store/order",
                          "post",
                          "requestBody",
                        ],
                        "jsonPath": "/paths/~1store~1order/post/requestBody",
                        "kind": "request",
                      },
                      "value": {
                        "description": "order placed for purchasing the pet",
                        "required": true,
                      },
                    },
                  },
                  "responses": {
                    "children": {
                      "200": {
                        "children": {
                          "content": {
                            "children": {
                              "application/json": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "complete": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "complete",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "complete",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json/schema/properties/complete",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "default": false,
                                                  "type": "boolean",
                                                },
                                                "key": "complete",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "id",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json/schema/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "petId": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "petId",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "petId",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json/schema/properties/petId",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "petId",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "quantity": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "quantity",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "quantity",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json/schema/properties/quantity",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "quantity",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "shipDate": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "shipDate",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "shipDate",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json/schema/properties/shipDate",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "date-time",
                                                  "type": "string",
                                                },
                                                "key": "shipDate",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "status": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "status",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "status",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json/schema/properties/status",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "Order Status",
                                                  "enum": [
                                                    "placed",
                                                    "approved",
                                                    "delivered",
                                                  ],
                                                  "type": "string",
                                                },
                                                "key": "status",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/json",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "post",
                                      "path": "/store/order",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/store/order",
                                      "post",
                                      "responses",
                                      "200",
                                      "application/json",
                                    ],
                                    "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1json",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/json",
                                    "flatSchema": {
                                      "type": "object",
                                      "xml": {
                                        "name": "Order",
                                      },
                                    },
                                  },
                                },
                              },
                              "application/xml": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "complete": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "complete",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "complete",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml/schema/properties/complete",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "default": false,
                                                  "type": "boolean",
                                                },
                                                "key": "complete",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "id",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml/schema/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "petId": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "petId",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "petId",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml/schema/properties/petId",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "petId",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "quantity": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "quantity",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "quantity",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml/schema/properties/quantity",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "quantity",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "shipDate": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "shipDate",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "shipDate",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml/schema/properties/shipDate",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "date-time",
                                                  "type": "string",
                                                },
                                                "key": "shipDate",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "status": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "status",
                                                  ],
                                                  "method": "post",
                                                  "path": "/store/order",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order",
                                                  "post",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "status",
                                                ],
                                                "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml/schema/properties/status",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "Order Status",
                                                  "enum": [
                                                    "placed",
                                                    "approved",
                                                    "delivered",
                                                  ],
                                                  "type": "string",
                                                },
                                                "key": "status",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/xml",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "post",
                                      "path": "/store/order",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/store/order",
                                      "post",
                                      "responses",
                                      "200",
                                      "application/xml",
                                    ],
                                    "jsonPath": "/paths/~1store~1order/post/responses/200/content/application~1xml",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/xml",
                                    "flatSchema": {
                                      "type": "object",
                                      "xml": {
                                        "name": "Order",
                                      },
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                        },
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "200",
                              },
                              "method": "post",
                              "path": "/store/order",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order",
                              "post",
                              "responses",
                              "200",
                            ],
                            "jsonPath": "/paths/~1store~1order/post/responses/200",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "200",
                          },
                        },
                      },
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "post",
                              "path": "/store/order",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order",
                              "post",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1store~1order/post/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid Order",
                            "statusCode": "400",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "post",
                      "path": "/store/order",
                    },
                    "conceptualPath": [
                      "operations",
                      "/store/order",
                      "post",
                    ],
                    "jsonPath": "/paths/~1store~1order/post",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "post",
                    "operationId": "placeOrder",
                    "pathPattern": "/store/order",
                    "summary": "Place an order for a pet",
                    "tags": [
                      "store",
                    ],
                    "x-codegen-request-body-name": "body",
                  },
                },
              },
            },
            "fact": null,
          },
          "/store/order/{orderId}": {
            "children": {
              "delete": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "path": "orderId",
                              },
                              "method": "delete",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "delete",
                              "parameters",
                              "path",
                              "orderId",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/delete/parameters/0",
                            "kind": "path-parameter",
                          },
                          "value": {
                            "description": "ID of the order that needs to be deleted",
                            "in": "path",
                            "name": "orderId",
                            "required": true,
                            "schema": {
                              "format": "int64",
                              "minimum": 1,
                              "type": "integer",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "responses": {
                    "children": {
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "delete",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "delete",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/delete/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid ID supplied",
                            "statusCode": "400",
                          },
                        },
                      },
                      "404": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "404",
                              },
                              "method": "delete",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "delete",
                              "responses",
                              "404",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/delete/responses/404",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Order not found",
                            "statusCode": "404",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "delete",
                      "path": "/store/order/{orderId}",
                    },
                    "conceptualPath": [
                      "operations",
                      "/store/order/{}",
                      "delete",
                    ],
                    "jsonPath": "/paths/~1store~1order~1{orderId}/delete",
                    "kind": "operation",
                  },
                  "value": {
                    "description": "For valid response try integer IDs with positive integer value.         Negative or non-integer values will generate API errors",
                    "method": "delete",
                    "operationId": "deleteOrder",
                    "pathPattern": "/store/order/{orderId}",
                    "summary": "Delete purchase order by ID",
                    "tags": [
                      "store",
                    ],
                  },
                },
              },
              "get": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "path": "orderId",
                              },
                              "method": "get",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "get",
                              "parameters",
                              "path",
                              "orderId",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/get/parameters/0",
                            "kind": "path-parameter",
                          },
                          "value": {
                            "description": "ID of pet that needs to be fetched",
                            "in": "path",
                            "name": "orderId",
                            "required": true,
                            "schema": {
                              "format": "int64",
                              "maximum": 10,
                              "minimum": 1,
                              "type": "integer",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "responses": {
                    "children": {
                      "200": {
                        "children": {
                          "content": {
                            "children": {
                              "application/json": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "complete": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "complete",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "complete",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json/schema/properties/complete",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "default": false,
                                                  "type": "boolean",
                                                },
                                                "key": "complete",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "id",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json/schema/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "petId": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "petId",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "petId",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json/schema/properties/petId",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "petId",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "quantity": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "quantity",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "quantity",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json/schema/properties/quantity",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "quantity",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "shipDate": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "shipDate",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "shipDate",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json/schema/properties/shipDate",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "date-time",
                                                  "type": "string",
                                                },
                                                "key": "shipDate",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "status": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "status",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "status",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json/schema/properties/status",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "Order Status",
                                                  "enum": [
                                                    "placed",
                                                    "approved",
                                                    "delivered",
                                                  ],
                                                  "type": "string",
                                                },
                                                "key": "status",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/json",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/store/order/{orderId}",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/store/order/{}",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/json",
                                    ],
                                    "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1json",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/json",
                                    "flatSchema": {
                                      "type": "object",
                                      "xml": {
                                        "name": "Order",
                                      },
                                    },
                                  },
                                },
                              },
                              "application/xml": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "complete": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "complete",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "complete",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml/schema/properties/complete",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "default": false,
                                                  "type": "boolean",
                                                },
                                                "key": "complete",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "id",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml/schema/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "petId": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "petId",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "petId",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml/schema/properties/petId",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "petId",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "quantity": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "quantity",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "quantity",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml/schema/properties/quantity",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "quantity",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "shipDate": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "shipDate",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "shipDate",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml/schema/properties/shipDate",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "date-time",
                                                  "type": "string",
                                                },
                                                "key": "shipDate",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "status": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "status",
                                                  ],
                                                  "method": "get",
                                                  "path": "/store/order/{orderId}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/store/order/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "status",
                                                ],
                                                "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml/schema/properties/status",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "Order Status",
                                                  "enum": [
                                                    "placed",
                                                    "approved",
                                                    "delivered",
                                                  ],
                                                  "type": "string",
                                                },
                                                "key": "status",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/xml",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/store/order/{orderId}",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/store/order/{}",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/xml",
                                    ],
                                    "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200/content/application~1xml",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/xml",
                                    "flatSchema": {
                                      "type": "object",
                                      "xml": {
                                        "name": "Order",
                                      },
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                        },
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "200",
                              },
                              "method": "get",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "get",
                              "responses",
                              "200",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/200",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "200",
                          },
                        },
                      },
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "get",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "get",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid ID supplied",
                            "statusCode": "400",
                          },
                        },
                      },
                      "404": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "404",
                              },
                              "method": "get",
                              "path": "/store/order/{orderId}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/store/order/{}",
                              "get",
                              "responses",
                              "404",
                            ],
                            "jsonPath": "/paths/~1store~1order~1{orderId}/get/responses/404",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Order not found",
                            "statusCode": "404",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "get",
                      "path": "/store/order/{orderId}",
                    },
                    "conceptualPath": [
                      "operations",
                      "/store/order/{}",
                      "get",
                    ],
                    "jsonPath": "/paths/~1store~1order~1{orderId}/get",
                    "kind": "operation",
                  },
                  "value": {
                    "description": "For valid response try integer IDs with value >= 1 and <= 10.         Other values will generated exceptions",
                    "method": "get",
                    "operationId": "getOrderById",
                    "pathPattern": "/store/order/{orderId}",
                    "summary": "Find purchase order by ID",
                    "tags": [
                      "store",
                    ],
                  },
                },
              },
            },
            "fact": null,
          },
          "/user": {
            "children": {
              "post": {
                "children": {
                  "requestBody": {
                    "children": {
                      "content": {
                        "children": {
                          "*/*": {
                            "children": {
                              "schema": {
                                "children": {
                                  "properties": {
                                    "children": {
                                      "email": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "email",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "email",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/email",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "email",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "firstName": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "firstName",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "firstName",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/firstName",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "firstName",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "id": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "id",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "id",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/id",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "format": "int64",
                                              "type": "integer",
                                            },
                                            "key": "id",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "lastName": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "lastName",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "lastName",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/lastName",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "lastName",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "password": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "password",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "password",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/password",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "password",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "phone": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "phone",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "phone",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/phone",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "phone",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "userStatus": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "userStatus",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "userStatus",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/userStatus",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "description": "User Status",
                                              "format": "int32",
                                              "type": "integer",
                                            },
                                            "key": "userStatus",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "username": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "username",
                                              ],
                                              "method": "post",
                                              "path": "/user",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user",
                                              "post",
                                              "*/*",
                                              "username",
                                            ],
                                            "jsonPath": "/paths/~1user/post/requestBody/content/*~1*/schema/properties/username",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "username",
                                            "required": false,
                                          },
                                        },
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": null,
                              },
                            },
                            "fact": {
                              "location": {
                                "conceptualLocation": {
                                  "inRequest": {
                                    "body": {
                                      "contentType": "*/*",
                                    },
                                  },
                                  "method": "post",
                                  "path": "/user",
                                },
                                "conceptualPath": [
                                  "operations",
                                  "/user",
                                  "post",
                                  "*/*",
                                ],
                                "jsonPath": "/paths/~1user/post/requestBody/content/*~1*",
                                "kind": "body",
                              },
                              "value": {
                                "contentType": "*/*",
                                "flatSchema": {
                                  "type": "object",
                                  "xml": {
                                    "name": "User",
                                  },
                                },
                              },
                            },
                          },
                        },
                        "fact": null,
                      },
                    },
                    "fact": {
                      "location": {
                        "conceptualLocation": {
                          "inRequest": {},
                          "method": "post",
                          "path": "/user",
                        },
                        "conceptualPath": [
                          "operations",
                          "/user",
                          "post",
                          "requestBody",
                        ],
                        "jsonPath": "/paths/~1user/post/requestBody",
                        "kind": "request",
                      },
                      "value": {
                        "description": "Created user object",
                        "required": true,
                      },
                    },
                  },
                  "responses": {
                    "children": {
                      "default": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "default",
                              },
                              "method": "post",
                              "path": "/user",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user",
                              "post",
                              "responses",
                              "default",
                            ],
                            "jsonPath": "/paths/~1user/post/responses/default",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "default",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "post",
                      "path": "/user",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user",
                      "post",
                    ],
                    "jsonPath": "/paths/~1user/post",
                    "kind": "operation",
                  },
                  "value": {
                    "description": "This can only be done by the logged in user.",
                    "method": "post",
                    "operationId": "createUser",
                    "pathPattern": "/user",
                    "summary": "Create user",
                    "tags": [
                      "user",
                    ],
                    "x-codegen-request-body-name": "body",
                  },
                },
              },
            },
            "fact": null,
          },
          "/user/createWithArray": {
            "children": {
              "post": {
                "children": {
                  "requestBody": {
                    "children": {
                      "content": {
                        "children": {
                          "*/*": {
                            "children": {
                              "schema": {
                                "children": {
                                  "items": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "email": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "email",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "email",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/email",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "email",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "firstName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "firstName",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "firstName",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/firstName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "firstName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "id",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "lastName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "lastName",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "lastName",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/lastName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "lastName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "password": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "password",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "password",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/password",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "password",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "phone": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "phone",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "phone",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/phone",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "phone",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "userStatus": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "userStatus",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "userStatus",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/userStatus",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "User Status",
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "userStatus",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "username": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "username",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithArray",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithArray",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "username",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*/schema/items/properties/username",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "username",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": null,
                              },
                            },
                            "fact": {
                              "location": {
                                "conceptualLocation": {
                                  "inRequest": {
                                    "body": {
                                      "contentType": "*/*",
                                    },
                                  },
                                  "method": "post",
                                  "path": "/user/createWithArray",
                                },
                                "conceptualPath": [
                                  "operations",
                                  "/user/createWithArray",
                                  "post",
                                  "*/*",
                                ],
                                "jsonPath": "/paths/~1user~1createWithArray/post/requestBody/content/*~1*",
                                "kind": "body",
                              },
                              "value": {
                                "contentType": "*/*",
                                "flatSchema": {
                                  "type": "array",
                                },
                              },
                            },
                          },
                        },
                        "fact": null,
                      },
                    },
                    "fact": {
                      "location": {
                        "conceptualLocation": {
                          "inRequest": {},
                          "method": "post",
                          "path": "/user/createWithArray",
                        },
                        "conceptualPath": [
                          "operations",
                          "/user/createWithArray",
                          "post",
                          "requestBody",
                        ],
                        "jsonPath": "/paths/~1user~1createWithArray/post/requestBody",
                        "kind": "request",
                      },
                      "value": {
                        "description": "List of user object",
                        "required": true,
                      },
                    },
                  },
                  "responses": {
                    "children": {
                      "default": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "default",
                              },
                              "method": "post",
                              "path": "/user/createWithArray",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/createWithArray",
                              "post",
                              "responses",
                              "default",
                            ],
                            "jsonPath": "/paths/~1user~1createWithArray/post/responses/default",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "default",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "post",
                      "path": "/user/createWithArray",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/createWithArray",
                      "post",
                    ],
                    "jsonPath": "/paths/~1user~1createWithArray/post",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "post",
                    "operationId": "createUsersWithArrayInput",
                    "pathPattern": "/user/createWithArray",
                    "summary": "Creates list of users with given input array",
                    "tags": [
                      "user",
                    ],
                    "x-codegen-request-body-name": "body",
                  },
                },
              },
            },
            "fact": null,
          },
          "/user/createWithList": {
            "children": {
              "post": {
                "children": {
                  "requestBody": {
                    "children": {
                      "content": {
                        "children": {
                          "*/*": {
                            "children": {
                              "schema": {
                                "children": {
                                  "items": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "email": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "email",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "email",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/email",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "email",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "firstName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "firstName",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "firstName",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/firstName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "firstName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "id",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "lastName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "lastName",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "lastName",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/lastName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "lastName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "password": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "password",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "password",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/password",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "password",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "phone": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "phone",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "phone",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/phone",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "phone",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "userStatus": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "userStatus",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "userStatus",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/userStatus",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "User Status",
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "userStatus",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "username": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inRequest": {
                                                    "body": {
                                                      "contentType": "*/*",
                                                    },
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "items",
                                                    "username",
                                                  ],
                                                  "method": "post",
                                                  "path": "/user/createWithList",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/createWithList",
                                                  "post",
                                                  "*/*",
                                                  "items",
                                                  "username",
                                                ],
                                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*/schema/items/properties/username",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "username",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": null,
                              },
                            },
                            "fact": {
                              "location": {
                                "conceptualLocation": {
                                  "inRequest": {
                                    "body": {
                                      "contentType": "*/*",
                                    },
                                  },
                                  "method": "post",
                                  "path": "/user/createWithList",
                                },
                                "conceptualPath": [
                                  "operations",
                                  "/user/createWithList",
                                  "post",
                                  "*/*",
                                ],
                                "jsonPath": "/paths/~1user~1createWithList/post/requestBody/content/*~1*",
                                "kind": "body",
                              },
                              "value": {
                                "contentType": "*/*",
                                "flatSchema": {
                                  "type": "array",
                                },
                              },
                            },
                          },
                        },
                        "fact": null,
                      },
                    },
                    "fact": {
                      "location": {
                        "conceptualLocation": {
                          "inRequest": {},
                          "method": "post",
                          "path": "/user/createWithList",
                        },
                        "conceptualPath": [
                          "operations",
                          "/user/createWithList",
                          "post",
                          "requestBody",
                        ],
                        "jsonPath": "/paths/~1user~1createWithList/post/requestBody",
                        "kind": "request",
                      },
                      "value": {
                        "description": "List of user object",
                        "required": true,
                      },
                    },
                  },
                  "responses": {
                    "children": {
                      "default": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "default",
                              },
                              "method": "post",
                              "path": "/user/createWithList",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/createWithList",
                              "post",
                              "responses",
                              "default",
                            ],
                            "jsonPath": "/paths/~1user~1createWithList/post/responses/default",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "default",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "post",
                      "path": "/user/createWithList",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/createWithList",
                      "post",
                    ],
                    "jsonPath": "/paths/~1user~1createWithList/post",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "post",
                    "operationId": "createUsersWithListInput",
                    "pathPattern": "/user/createWithList",
                    "summary": "Creates list of users with given input array",
                    "tags": [
                      "user",
                    ],
                    "x-codegen-request-body-name": "body",
                  },
                },
              },
            },
            "fact": null,
          },
          "/user/login": {
            "children": {
              "get": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "query": "username",
                              },
                              "method": "get",
                              "path": "/user/login",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/login",
                              "get",
                              "parameters",
                              "query",
                              "username",
                            ],
                            "jsonPath": "/paths/~1user~1login/get/parameters/0",
                            "kind": "query-parameter",
                          },
                          "value": {
                            "description": "The user name for login",
                            "in": "query",
                            "name": "username",
                            "required": true,
                            "schema": {
                              "type": "string",
                            },
                          },
                        },
                      },
                      "1": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "query": "password",
                              },
                              "method": "get",
                              "path": "/user/login",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/login",
                              "get",
                              "parameters",
                              "query",
                              "password",
                            ],
                            "jsonPath": "/paths/~1user~1login/get/parameters/1",
                            "kind": "query-parameter",
                          },
                          "value": {
                            "description": "The password for login in clear text",
                            "in": "query",
                            "name": "password",
                            "required": true,
                            "schema": {
                              "type": "string",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "responses": {
                    "children": {
                      "200": {
                        "children": {
                          "content": {
                            "children": {
                              "application/json": {
                                "children": {},
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/json",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/user/login",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/user/login",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/json",
                                    ],
                                    "jsonPath": "/paths/~1user~1login/get/responses/200/content/application~1json",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/json",
                                    "flatSchema": {
                                      "type": "string",
                                    },
                                  },
                                },
                              },
                              "application/xml": {
                                "children": {},
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/xml",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/user/login",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/user/login",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/xml",
                                    ],
                                    "jsonPath": "/paths/~1user~1login/get/responses/200/content/application~1xml",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/xml",
                                    "flatSchema": {
                                      "type": "string",
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                          "headers": {
                            "children": {
                              "X-Expires-After": {
                                "children": {},
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "header": "X-Expires-After",
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/user/login",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/user/login",
                                      "get",
                                      "responses",
                                      "200",
                                      "headers",
                                      "X-Expires-After",
                                    ],
                                    "jsonPath": "/paths/~1user~1login/get/responses/200/headers/X-Expires-After",
                                    "kind": "response-header",
                                  },
                                  "value": {
                                    "description": "date in UTC when token expires",
                                    "name": "X-Expires-After",
                                    "schema": {
                                      "format": "date-time",
                                      "type": "string",
                                    },
                                  },
                                },
                              },
                              "X-Rate-Limit": {
                                "children": {},
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "header": "X-Rate-Limit",
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/user/login",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/user/login",
                                      "get",
                                      "responses",
                                      "200",
                                      "headers",
                                      "X-Rate-Limit",
                                    ],
                                    "jsonPath": "/paths/~1user~1login/get/responses/200/headers/X-Rate-Limit",
                                    "kind": "response-header",
                                  },
                                  "value": {
                                    "description": "calls per hour allowed by the user",
                                    "name": "X-Rate-Limit",
                                    "schema": {
                                      "format": "int32",
                                      "type": "integer",
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                        },
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "200",
                              },
                              "method": "get",
                              "path": "/user/login",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/login",
                              "get",
                              "responses",
                              "200",
                            ],
                            "jsonPath": "/paths/~1user~1login/get/responses/200",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "200",
                          },
                        },
                      },
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "get",
                              "path": "/user/login",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/login",
                              "get",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1user~1login/get/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid username/password supplied",
                            "statusCode": "400",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "get",
                      "path": "/user/login",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/login",
                      "get",
                    ],
                    "jsonPath": "/paths/~1user~1login/get",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "get",
                    "operationId": "loginUser",
                    "pathPattern": "/user/login",
                    "summary": "Logs user into the system",
                    "tags": [
                      "user",
                    ],
                  },
                },
              },
            },
            "fact": null,
          },
          "/user/logout": {
            "children": {
              "get": {
                "children": {
                  "responses": {
                    "children": {
                      "default": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "default",
                              },
                              "method": "get",
                              "path": "/user/logout",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/logout",
                              "get",
                              "responses",
                              "default",
                            ],
                            "jsonPath": "/paths/~1user~1logout/get/responses/default",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "default",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "get",
                      "path": "/user/logout",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/logout",
                      "get",
                    ],
                    "jsonPath": "/paths/~1user~1logout/get",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "get",
                    "operationId": "logoutUser",
                    "pathPattern": "/user/logout",
                    "summary": "Logs out current logged in user session",
                    "tags": [
                      "user",
                    ],
                  },
                },
              },
            },
            "fact": null,
          },
          "/user/{username}": {
            "children": {
              "delete": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "path": "username",
                              },
                              "method": "delete",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "delete",
                              "parameters",
                              "path",
                              "username",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/delete/parameters/0",
                            "kind": "path-parameter",
                          },
                          "value": {
                            "description": "The name that needs to be deleted",
                            "in": "path",
                            "name": "username",
                            "required": true,
                            "schema": {
                              "type": "string",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "responses": {
                    "children": {
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "delete",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "delete",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/delete/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid username supplied",
                            "statusCode": "400",
                          },
                        },
                      },
                      "404": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "404",
                              },
                              "method": "delete",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "delete",
                              "responses",
                              "404",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/delete/responses/404",
                            "kind": "response",
                          },
                          "value": {
                            "description": "User not found",
                            "statusCode": "404",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "delete",
                      "path": "/user/{username}",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/{}",
                      "delete",
                    ],
                    "jsonPath": "/paths/~1user~1{username}/delete",
                    "kind": "operation",
                  },
                  "value": {
                    "description": "This can only be done by the logged in user.",
                    "method": "delete",
                    "operationId": "deleteUser",
                    "pathPattern": "/user/{username}",
                    "summary": "Delete user",
                    "tags": [
                      "user",
                    ],
                  },
                },
              },
              "get": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "path": "username",
                              },
                              "method": "get",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "get",
                              "parameters",
                              "path",
                              "username",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/get/parameters/0",
                            "kind": "path-parameter",
                          },
                          "value": {
                            "description": "The name that needs to be fetched. Use user1 for testing. ",
                            "in": "path",
                            "name": "username",
                            "required": true,
                            "schema": {
                              "type": "string",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "responses": {
                    "children": {
                      "200": {
                        "children": {
                          "content": {
                            "children": {
                              "application/json": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "email": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "email",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "email",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/email",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "email",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "firstName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "firstName",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "firstName",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/firstName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "firstName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "id",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "lastName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "lastName",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "lastName",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/lastName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "lastName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "password": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "password",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "password",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/password",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "password",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "phone": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "phone",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "phone",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/phone",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "phone",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "userStatus": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "userStatus",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "userStatus",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/userStatus",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "User Status",
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "userStatus",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "username": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/json",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "username",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/json",
                                                  "username",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json/schema/properties/username",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "username",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/json",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/user/{username}",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/user/{}",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/json",
                                    ],
                                    "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1json",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/json",
                                    "flatSchema": {
                                      "type": "object",
                                      "xml": {
                                        "name": "User",
                                      },
                                    },
                                  },
                                },
                              },
                              "application/xml": {
                                "children": {
                                  "schema": {
                                    "children": {
                                      "properties": {
                                        "children": {
                                          "email": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "email",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "email",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/email",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "email",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "firstName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "firstName",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "firstName",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/firstName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "firstName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "id": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "id",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "id",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/id",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "format": "int64",
                                                  "type": "integer",
                                                },
                                                "key": "id",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "lastName": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "lastName",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "lastName",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/lastName",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "lastName",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "password": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "password",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "password",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/password",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "password",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "phone": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "phone",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "phone",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/phone",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "phone",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "userStatus": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "userStatus",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "userStatus",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/userStatus",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "description": "User Status",
                                                  "format": "int32",
                                                  "type": "integer",
                                                },
                                                "key": "userStatus",
                                                "required": false,
                                              },
                                            },
                                          },
                                          "username": {
                                            "children": {},
                                            "fact": {
                                              "location": {
                                                "conceptualLocation": {
                                                  "inResponse": {
                                                    "body": {
                                                      "contentType": "application/xml",
                                                    },
                                                    "statusCode": "200",
                                                  },
                                                  "jsonSchemaTrail": [
                                                    "username",
                                                  ],
                                                  "method": "get",
                                                  "path": "/user/{username}",
                                                },
                                                "conceptualPath": [
                                                  "operations",
                                                  "/user/{}",
                                                  "get",
                                                  "responses",
                                                  "200",
                                                  "application/xml",
                                                  "username",
                                                ],
                                                "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml/schema/properties/username",
                                                "kind": "field",
                                              },
                                              "value": {
                                                "flatSchema": {
                                                  "type": "string",
                                                },
                                                "key": "username",
                                                "required": false,
                                              },
                                            },
                                          },
                                        },
                                        "fact": null,
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": {
                                  "location": {
                                    "conceptualLocation": {
                                      "inResponse": {
                                        "body": {
                                          "contentType": "application/xml",
                                        },
                                        "statusCode": "200",
                                      },
                                      "method": "get",
                                      "path": "/user/{username}",
                                    },
                                    "conceptualPath": [
                                      "operations",
                                      "/user/{}",
                                      "get",
                                      "responses",
                                      "200",
                                      "application/xml",
                                    ],
                                    "jsonPath": "/paths/~1user~1{username}/get/responses/200/content/application~1xml",
                                    "kind": "body",
                                  },
                                  "value": {
                                    "contentType": "application/xml",
                                    "flatSchema": {
                                      "type": "object",
                                      "xml": {
                                        "name": "User",
                                      },
                                    },
                                  },
                                },
                              },
                            },
                            "fact": null,
                          },
                        },
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "200",
                              },
                              "method": "get",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "get",
                              "responses",
                              "200",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/get/responses/200",
                            "kind": "response",
                          },
                          "value": {
                            "description": "successful operation",
                            "statusCode": "200",
                          },
                        },
                      },
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "get",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "get",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/get/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid username supplied",
                            "statusCode": "400",
                          },
                        },
                      },
                      "404": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "404",
                              },
                              "method": "get",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "get",
                              "responses",
                              "404",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/get/responses/404",
                            "kind": "response",
                          },
                          "value": {
                            "description": "User not found",
                            "statusCode": "404",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "get",
                      "path": "/user/{username}",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/{}",
                      "get",
                    ],
                    "jsonPath": "/paths/~1user~1{username}/get",
                    "kind": "operation",
                  },
                  "value": {
                    "method": "get",
                    "operationId": "getUserByName",
                    "pathPattern": "/user/{username}",
                    "summary": "Get user by user name",
                    "tags": [
                      "user",
                    ],
                  },
                },
              },
              "put": {
                "children": {
                  "parameters": {
                    "children": {
                      "0": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inRequest": {
                                "path": "username",
                              },
                              "method": "put",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "put",
                              "parameters",
                              "path",
                              "username",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/put/parameters/0",
                            "kind": "path-parameter",
                          },
                          "value": {
                            "description": "name that need to be updated",
                            "in": "path",
                            "name": "username",
                            "required": true,
                            "schema": {
                              "type": "string",
                            },
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                  "requestBody": {
                    "children": {
                      "content": {
                        "children": {
                          "*/*": {
                            "children": {
                              "schema": {
                                "children": {
                                  "properties": {
                                    "children": {
                                      "email": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "email",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "email",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/email",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "email",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "firstName": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "firstName",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "firstName",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/firstName",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "firstName",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "id": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "id",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "id",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/id",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "format": "int64",
                                              "type": "integer",
                                            },
                                            "key": "id",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "lastName": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "lastName",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "lastName",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/lastName",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "lastName",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "password": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "password",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "password",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/password",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "password",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "phone": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "phone",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "phone",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/phone",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "phone",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "userStatus": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "userStatus",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "userStatus",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/userStatus",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "description": "User Status",
                                              "format": "int32",
                                              "type": "integer",
                                            },
                                            "key": "userStatus",
                                            "required": false,
                                          },
                                        },
                                      },
                                      "username": {
                                        "children": {},
                                        "fact": {
                                          "location": {
                                            "conceptualLocation": {
                                              "inRequest": {
                                                "body": {
                                                  "contentType": "*/*",
                                                },
                                              },
                                              "jsonSchemaTrail": [
                                                "username",
                                              ],
                                              "method": "put",
                                              "path": "/user/{username}",
                                            },
                                            "conceptualPath": [
                                              "operations",
                                              "/user/{}",
                                              "put",
                                              "*/*",
                                              "username",
                                            ],
                                            "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*/schema/properties/username",
                                            "kind": "field",
                                          },
                                          "value": {
                                            "flatSchema": {
                                              "type": "string",
                                            },
                                            "key": "username",
                                            "required": false,
                                          },
                                        },
                                      },
                                    },
                                    "fact": null,
                                  },
                                },
                                "fact": null,
                              },
                            },
                            "fact": {
                              "location": {
                                "conceptualLocation": {
                                  "inRequest": {
                                    "body": {
                                      "contentType": "*/*",
                                    },
                                  },
                                  "method": "put",
                                  "path": "/user/{username}",
                                },
                                "conceptualPath": [
                                  "operations",
                                  "/user/{}",
                                  "put",
                                  "*/*",
                                ],
                                "jsonPath": "/paths/~1user~1{username}/put/requestBody/content/*~1*",
                                "kind": "body",
                              },
                              "value": {
                                "contentType": "*/*",
                                "flatSchema": {
                                  "type": "object",
                                  "xml": {
                                    "name": "User",
                                  },
                                },
                              },
                            },
                          },
                        },
                        "fact": null,
                      },
                    },
                    "fact": {
                      "location": {
                        "conceptualLocation": {
                          "inRequest": {},
                          "method": "put",
                          "path": "/user/{username}",
                        },
                        "conceptualPath": [
                          "operations",
                          "/user/{}",
                          "put",
                          "requestBody",
                        ],
                        "jsonPath": "/paths/~1user~1{username}/put/requestBody",
                        "kind": "request",
                      },
                      "value": {
                        "description": "Updated user object",
                        "required": true,
                      },
                    },
                  },
                  "responses": {
                    "children": {
                      "400": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "400",
                              },
                              "method": "put",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "put",
                              "responses",
                              "400",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/put/responses/400",
                            "kind": "response",
                          },
                          "value": {
                            "description": "Invalid user supplied",
                            "statusCode": "400",
                          },
                        },
                      },
                      "404": {
                        "children": {},
                        "fact": {
                          "location": {
                            "conceptualLocation": {
                              "inResponse": {
                                "statusCode": "404",
                              },
                              "method": "put",
                              "path": "/user/{username}",
                            },
                            "conceptualPath": [
                              "operations",
                              "/user/{}",
                              "put",
                              "responses",
                              "404",
                            ],
                            "jsonPath": "/paths/~1user~1{username}/put/responses/404",
                            "kind": "response",
                          },
                          "value": {
                            "description": "User not found",
                            "statusCode": "404",
                          },
                        },
                      },
                    },
                    "fact": null,
                  },
                },
                "fact": {
                  "location": {
                    "conceptualLocation": {
                      "method": "put",
                      "path": "/user/{username}",
                    },
                    "conceptualPath": [
                      "operations",
                      "/user/{}",
                      "put",
                    ],
                    "jsonPath": "/paths/~1user~1{username}/put",
                    "kind": "operation",
                  },
                  "value": {
                    "description": "This can only be done by the logged in user.",
                    "method": "put",
                    "operationId": "updateUser",
                    "pathPattern": "/user/{username}",
                    "summary": "Updated user",
                    "tags": [
                      "user",
                    ],
                    "x-codegen-request-body-name": "body",
                  },
                },
              },
            },
            "fact": null,
          },
        },
        "fact": null,
      },
    },
    "fact": {
      "location": {
        "conceptualLocation": {},
        "conceptualPath": [],
        "jsonPath": "",
        "kind": "specification",
      },
      "value": {
        "externalDocs": {
          "description": "Find out more about Swagger",
          "url": "http://swagger.io",
        },
        "info": {
          "contact": {
            "email": "apiteam@swagger.io",
          },
          "description": "This is a sample server Petstore server.  You can find out more about     Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).      For this sample, you can use the api key \`special-key\` to test the authorization     filters.",
          "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html",
          },
          "termsOfService": "http://swagger.io/terms/",
          "title": "Swagger Petstore",
          "version": "1.0.0",
        },
        "openapi": "3.0.1",
        "servers": [
          {
            "url": "https://petstore.swagger.io/v2",
          },
          {
            "url": "http://petstore.swagger.io/v2",
          },
        ],
        "tags": [
          {
            "description": "Everything about your Pets",
            "externalDocs": {
              "description": "Find out more",
              "url": "http://swagger.io",
            },
            "name": "pet",
          },
          {
            "description": "Access to Petstore orders",
            "name": "store",
          },
          {
            "description": "Operations about user",
            "externalDocs": {
              "description": "Find out more about our store",
              "url": "http://swagger.io",
            },
            "name": "user",
          },
        ],
      },
    },
  },
}
`;
